﻿Imports System.Data
Imports System.Data.SqlClient

Public Class Form1

    Private Const ConnectionString As String = "Data Source=.\SQL2008R2;Initial Catalog=AjaxSamples;Integrated Security = true"
    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        Me.BindGrid()
    End Sub
    Private Sub BindGrid()
        Using con As New SqlConnection(ConnectionString)
            Using cmd As New SqlCommand("SELECT CustomerId, Name, Country FROM Customers", con)
                cmd.CommandType = CommandType.Text
                Using sda As New SqlDataAdapter(cmd)
                    Using dt As New DataTable()
                        sda.Fill(dt)
                        dataGridView1.DataSource = dt
                    End Using
                End Using
            End Using
        End Using

        'Add a CheckBox Column to the DataGridView at the first position.
        Dim checkBoxColumn As New DataGridViewCheckBoxColumn()
        checkBoxColumn.HeaderText = ""
        checkBoxColumn.Width = 30
        checkBoxColumn.Name = "checkBoxColumn"
        dataGridView1.Columns.Insert(0, checkBoxColumn)
    End Sub
    Private Sub btnGet_Click(sender As System.Object, e As System.EventArgs) Handles btnGet.Click
        Dim message As String = String.Empty
        For Each row As DataGridViewRow In dataGridView1.Rows
            Dim isSelected As Boolean = Convert.ToBoolean(row.Cells("checkBoxColumn").Value)
            If isSelected Then
                message &= Environment.NewLine
                message &= row.Cells("Name").Value.ToString()
            End If
        Next
        MessageBox.Show(Convert.ToString("Selected Values") & message)
    End Sub
End Class
